<?
if ( $this -> params['label'] )
{
  $out .= '<div class="form-group row">';
    $out .= '<label class="';
      if ( !$this -> params['inline'] )
        $out .= 'col-md-12 text-left ';
      else
        $out .= 'col-md-3 ';
      $out .= 'col-form-label">' . $this -> params['label'] . ':</label>';
    $out .= '<div class="';
      if ( !$this -> params['inline'] )
        $out .= 'col-md-12';
      else
        $out .= 'col-md-9';
      $out .= '">';
}
    $out .= '<div class="input-group">';
      $out .= '<input ';
        $out .= 'type="' . $this -> params['type'] . '" ';
        
        if ( $this -> params['id'] )
          $out .= 'id="' . $this -> params['id'] . '" ';
        else
          $out .= 'id="' . $this -> params['name'] . '" ';
        
        if ( $this -> params['class'] or $this -> params['label'] )
        {
          if ( $this -> params['label'] )
            $out .= 'class="' . $this -> params['class'] . ' form-control" ';
          else if ( $this -> params['class'] )
            $out .= 'class="' . $this -> params['class'] . '" ';
        }
        
        $out .= 'name="' . $this -> params['name'] . '" ';
        $out .= 'value="' . $this -> secureHTML( $this -> params['value'] ) . '" ';
        
        if ( $this -> params['style'] )
          $out .= 'style="' . $this -> params['style'] . '" ';
        
        if ( $this -> params['readonly'] )
          $out .= 'readonly="readonly" ';
        
        if ( $this -> params['required'] )
          $out .= 'required ';
        
        if ( $this -> params['autocomplete'] == 'off' )
          $out .= 'autocomplete="off" ';
        
      $out .= ' />';
      
      $out .= '<span class="input-group-addon ';
        if ( $this -> params['icon_js'] )
          $out .= 'pointer ';
      $out .= '"';      
    
      if ( $this -> params['icon_js'] )
        $out .= 'onclick="' . htmlspecialchars( $this -> params['icon_js'] ) . '" ';
      
      $out .= '>';
        $out .= $this -> params['icon_content'];
      $out .= '</span>';
    $out .= '</div>';
      
if ( $this -> params['label'] )
{
    $out .= '</div>';
  $out .= '</div>';
}

echo $out;